<?php
defined('TYPO3_MODE') or die();
call_user_func(
	function ($extKey) {

		# Extension configuration
		if ( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$extKey] ) {
			$extconf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$extKey]);
		} else {
			// default setting
			$extconf = [
				'container' => 1,
				'spacing' => 1,
				'color' => 1,
				'ratio' => 0,				
				'codesnippet' => 0,
				'cTypeClass' => 0,
				'customScss' => 0,
				'customScssPath' => 'fileadmin/T3SB/SCSS/',
				'editScss' => 0,
				'expandedContent' => 0,
				'configOverride' => 0,
				'metatags' => 1,
				'bootswatch' => 0,
				'fontawesome' => 1,
				'linkHoverEffect' => 0,
				'lazyLoad' => 0,
				'animateCss' => 0,
				'fontawesomepagetitle' => 1,
				'fontawesomeCss' => 1
			];
		}


		/**
		 * Add extra field tx_t3sbootstrap_container to pages record
		 */
		$tempPagesColumns = [
			'tx_t3sbootstrap_smallColumns' => [
				'label' => 'Aside columns width (makes no sense for Backend Layout "1 Column")',
				'exclude' => 1,
				'config' => [
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => [
						['1',1],
						['2',2],
						['3',3],
						['4',4],
						['6',6]
					],
					'default' => 3
				]
			],
			'tx_t3sbootstrap_container' => [
				'label' => 'Container (for the whole page - if Backend Layout is "1 Column" only)',
				'exclude' => 1,				
				'config' => [
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => [
						['no container',''],
						['container','container'],
						['container-fluid','container-fluid']
					],
					'default' => ''
				]
			],
			'tx_t3sbootstrap_linkToTop' => [
				'exclude' => 1,
				'label' => 'Link to top',
				'config' => [
					'type' => 'check',
					'default' => 3
				]
			],
			'tx_t3sbootstrap_dropdownRight' => [
				'exclude' => 1,
				'label' => 'Dropdown menu right',
				'config' => [
					'type' => 'check',
				]
			],
			'tx_t3sbootstrap_mobileOrder' => [
				'label' => 'Aside order on mobile',
				'exclude' => 1,
				'config' => [
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => [
						['Default','default'],
						['Top (both)','top'],
						['Bottom (both)','bottom'],
						['Left Aside Top','leftTop'],
						['Left Aside Bottom','leftBottom'],
						['Right Aside Top','rightTop'],
						['Right Aside Bottom','rightBottom']
					],
					'default' => 'default'
				]
			],
			'tx_t3sbootstrap_breakpoint' => [
				'label' => 'Breakpoint',
				'exclude' => 1,
				'config' => [
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => [
						['Default','md'],
						['sm','sm'],
						['md','md'],
						['lg','lg'],
						['xl','xl']
					],
					'default' => 'md'
				]
			],
			'tx_t3sbootstrap_fontawesome_icon' => [
				'exclude' => 1,
				'label'   => 'e.g.: fab fa-typo3 fa-lg',
				'config' => [
					'type' => 'input',
					'size' => '20',
				]
			],
			'tx_t3sbootstrap_icon_only' => [
				'exclude' => 1,
				'label' => 'Icon only',
				'config' => [
						'type' => 'check',
				]
			]
		];

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('pages',$tempPagesColumns);
		unset($tempPagesColumns);

		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_smallColumns','after:backend_layout_next_level');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_mobileOrder','after:tx_t3sbootstrap_smallColumns');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_breakpoint','after:tx_t3sbootstrap_mobileOrder');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_dropdownRight','after:tx_t3sbootstrap_breakpoint');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_container','after:tx_t3sbootstrap_dropdownRight');
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('pages', 'layout','--linebreak--,tx_t3sbootstrap_linkToTop','after:tx_t3sbootstrap_container');


		if (array_key_exists('fontawesome', $extconf) && $extconf['fontawesome'] === '1') {

			$GLOBALS['TCA']['pages']['palettes']['fontawesome'] = [
				 'showitem' => 'tx_t3sbootstrap_fontawesome_icon,
						tx_t3sbootstrap_icon_only',
					 'canNotCollapse' => 1
			];

			\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
				'pages',
				'--palette--;Fontawesome Icon;fontawesome',
				'',
				'after:layout'
			);
		}
		/***************
		 * Register PageTSConfig Files
		*/
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
			't3sbootstrap',
			'Configuration/TSConfig/Registered/Flag.ts',
			'Set the default language label and flag to german'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
			't3sbootstrap',
			'Configuration/TSConfig/Registered/Textpic.ts',
			'Remove CType textpic'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
			't3sbootstrap',
			'Configuration/TSConfig/Registered/Text.ts',
			'Remove CType text'
		);
		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::registerPageTSConfigFile(
			't3sbootstrap',
			'Configuration/TSConfig/Registered/Image.ts',
			'Remove CType image'
		);


	}, 't3sbootstrap'
);