<?php
defined('TYPO3_MODE') or die();
call_user_func(
	function ($extKey) {

		# Extension configuration
		if ( $GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$extKey] ) {
			$extconf = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf'][$extKey]);
		} else {
			// default setting
			$extconf = [
				'container' => 1,
				'spacing' => 1,
				'color' => 1,
				'ratio' => 0,				
				'codesnippet' => 0,
				'cTypeClass' => 0,
				'customScss' => 0,
				'customScssPath' => 'fileadmin/T3SB/SCSS/',
				'editScss' => 0,
				'expandedContent' => 0,
				'configOverride' => 0,
				'metatags' => 1,
				'bootswatch' => 0,
				'fontawesome' => 1,
				'linkHoverEffect' => 0,
				'lazyLoad' => 0,
				'animateCss' => 0,
				'fontawesomepagetitle' => 1,
				'fontawesomeCss' => 1
			];
		}


		/**
		 * Add extra field tx_t3sbootstrap_extra_class to sys_file_reference record
		 */
		$tempSysFileReferenceColumns = [
			'tx_t3sbootstrap_extra_class' => [
				'exclude' => 1,
				'label' => 'Extra Class - figure-tag',
				'config' => [
					'type' => 'input',
					'size' => 20,
					'eval' => 'trim',
					'valuePicker' => [
						'items' => [
							[ 'm-3 (margin)', 'm-3', ],
							[ 'mt-3 (margin-top)', 'mt-3', ],
							[ 'mb-3 (margin-bottom)', 'mb-3', ],
							[ 'ml-3 (margin-left)', 'ml-3', ],
							[ 'mr-3 (margin-right)', 'mr-3', ],
							[ 'mx-3 (margin-left and -right)', 'mx-3', ],
							[ 'my-3 (margin-top and -bottom)', 'my-3', ],
						],
					],
				],
			],
			'tx_t3sbootstrap_extra_imgclass' => [
				'exclude' => 1,
				'label' => 'Extra Class - img-tag',
				'config' => [
					'type' => 'input',
					'size' => 20,
					'eval' => 'trim',
					'valuePicker' => [
						'items' => [
							[ 'rounded', 'rounded', ],
							[ 'rounded-circle', 'rounded-circle', ],
							[ 'img-thumbnail', 'img-thumbnail', ],
							[ 'float-left', 'float-left', ],
							[ 'float-right', 'float-right', ],
							[ 'mx-auto d-block', 'mx-auto d-block', ],
						],
					],
				],
			],
			'tx_t3sbootstrap_hover_effect' => [
				'label' => 'Link Hover Effect (title and/or description)',
				'exclude' => 1,
				'displayCond' => [
					'OR' => [
						'FIELD:tablenames:=:tt_content',
						'FIELD:fieldname:=:assets',
						'FIELD:fieldname:=:image',
					],
				],
				'config' => [
					'type' => 'select',
					'renderType' => 'selectSingle',
					'items' => [
						['none',''],
						['Effect 1','snip1273'],
						['Effect 2','snip1321'],
						['Effect 3','snip1577'],
						['Effect 4','snip0015'],
						['Effect 5 (title only)','snip1573'],
						['Effect 6','snip1477'],
						['Effect 7','snip1361'],
						['Effect 8','snip1206'],
						['Effect 9','snip1190'],
						['Effect 10','snip0016']
					],
					'default' => ''
				]
			],
			'tx_t3sbootstrap_lazy_load' => [
				'label' => 'Lazy loading',
				'exclude' => 1,
				'displayCond' => [
					'OR' => [
						'FIELD:tablenames:=:tt_content',
						'FIELD:fieldname:=:assets',
						'FIELD:fieldname:=:image',
					],
				],
				'config' => [
					'type' => 'check',
						'items' => [
						'1' => [
							'0' => 'LLL:EXT:lang/Resources/Private/Language/locallang_core.xlf:labels.enabled'
						]
					]
				]
			],	
		];


		\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('sys_file_reference',$tempSysFileReferenceColumns);
		unset($tempSysFileReferenceColumns);

		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('sys_file_reference', 'imageoverlayPalette','--linebreak--,tx_t3sbootstrap_extra_class','after:description');

		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('sys_file_reference', 'imageoverlayPalette','--linebreak--,tx_t3sbootstrap_extra_imgclass','after:tx_t3sbootstrap_extra_class');

if (array_key_exists('linkHoverEffect', $extconf) && $extconf['linkHoverEffect'] === '1') {
		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('sys_file_reference', 'imageoverlayPalette','--linebreak--,tx_t3sbootstrap_hover_effect','after:tx_t3sbootstrap_extra_imgclass');
}

if (array_key_exists('lazyLoad', $extconf) && $extconf['lazyLoad'] === '2') {
		TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette('sys_file_reference', 'imageoverlayPalette','--linebreak--,tx_t3sbootstrap_lazy_load','after:tx_t3sbootstrap_extra_imgclass');
}


	}, 't3sbootstrap'
);