
page {
	# CSS files to be included
	includeCSS {

		bootstrapFour = EXT:t3sbootstrap/Resources/Public/Contrib/Bootstrap/scss/bootstrap.scss
		bootstrapFour.forceOnTop = 1
		bootstrapFour.if.isFalse = {$bootstrap.extconf.customScss}

		customBootstrap = uploads/tx_t3sbootstrap/bootstrap.scss
		customBootstrap.forceOnTop = 1
		customBootstrap.if.isTrue = {$bootstrap.extconf.customScss}

		t3sfontawesome = EXT:t3sbootstrap/Resources/Public/Contrib/Fontawesome/css/fontawesome-all.css
		t3sfontawesome.if.isTrue = {$bootstrap.extconf.fontawesomeCss}

		t3sfontawesomelink = EXT:t3sbootstrap/Resources/Public/Contrib/Fontawesome/css/fontawesomeLink.css
		t3sfontawesomelink.if.isTrue = {$bootstrap.extconf.fontawesomeCss}

		t3slightbox = EXT:t3sbootstrap/Resources/Public/Contrib/Lightbox/css/baguetteBox.min.css

		t3sbootstrap = EXT:t3sbootstrap/Resources/Public/Styles/t3sbootstrap.css

		stickyFooter = EXT:t3sbootstrap/Resources/Public/Styles/stickyFooter.css
		stickyFooter.if {
			isTrue.cObject = TEXT
			isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:footer_sticky
		}

		megaMenu = EXT:t3sbootstrap/Resources/Public/Styles/megaMenu.css
		megaMenu.if {
			isTrue.cObject = TEXT
			isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_megamenu
		}

		codesnippet = EXT:t3sbootstrap/Resources/Public/Contrib/Codesnippet/default.css
		codesnippet.if.isTrue = {$bootstrap.extconf.codesnippet}

		# Offcanvas Navbar - dependent on the breakpoint
		offcanvasNavbarSM = EXT:t3sbootstrap/Resources/Public/Styles/offcanvasNavbarSM.css
		offcanvasNavbarSM.if {
				value.data = register:breakpoint
				equals = sm
				isTrue.cObject = TEXT
				isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_offcanvas
		}
		offcanvasNavbarMD = EXT:t3sbootstrap/Resources/Public/Styles/offcanvasNavbarMD.css
		offcanvasNavbarMD.if {
				value.data = register:breakpoint
				equals = md
				isTrue.cObject = TEXT
				isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_offcanvas
		}
		offcanvasNavbarLG = EXT:t3sbootstrap/Resources/Public/Styles/offcanvasNavbarLG.css
		offcanvasNavbarLG.if {
				value.data = register:breakpoint
				equals = lg
				isTrue.cObject = TEXT
				isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_offcanvas
		}
		offcanvasNavbarXL = EXT:t3sbootstrap/Resources/Public/Styles/offcanvasNavbarXL.css
		offcanvasNavbarXL.if {
				value.data = register:breakpoint
				equals = xl
				isTrue.cObject = TEXT
				isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_offcanvas
		}
		offcanvasNavbarNO = EXT:t3sbootstrap/Resources/Public/Styles/offcanvasNavbarNO.css
		offcanvasNavbarNO.if {
				value.data = register:breakpoint
				equals = no
				isTrue.cObject = TEXT
				isTrue.cObject.data.dataWrap = DB:tx_t3sbootstrap_domain_model_config:{register:configuid}:navbar_offcanvas
		}

		hoverEffects = EXT:t3sbootstrap/Resources/Public/Styles/hoverEffects.css
		hoverEffects.if.isTrue = {$bootstrap.extconf.linkHoverEffect}

		animateCss = EXT:t3sbootstrap/Resources/Public/Contrib/animate.min.css
		animateCss.if.isTrue = {$bootstrap.extconf.animateCss}
	}

	# JS to be included
	includeJSFooterlibs {
		t3sbjquery = EXT:t3sbootstrap/Resources/Public/Contrib/jquery.min.js
		t3sbjquery.forceOnTop = 1

		t3sbpopper = EXT:t3sbootstrap/Resources/Public/Contrib/popper.min.js

		t3sbootstrap = EXT:t3sbootstrap/Resources/Public/Contrib/Bootstrap/js/bootstrap.min.js
	}
	includeJSFooter {

		t3sbjqueryeasing = EXT:t3sbootstrap/Resources/Public/Contrib/jquery.easing.min.js
		t3sbjqueryeasing.forceOnTop = 1

		t3sblightbox = EXT:t3sbootstrap/Resources/Public/Contrib/Lightbox/js/baguetteBox.min.js

		codesnippet = EXT:t3sbootstrap/Resources/Public/Contrib/Codesnippet/highlight.pack.js
		codesnippet.if.isTrue = {$bootstrap.extconf.codesnippet} 

		lazyload = EXT:t3sbootstrap/Resources/Public/Contrib/lazyload.min.js
		lazyload.if.isTrue = {$bootstrap.extconf.lazyLoad}

		picturefill = EXT:t3sbootstrap/Resources/Public/Contrib/picturefill.min.js
		picturefill.if.isTrue = {$bootstrap.image.picturefill}
 
	}


	jsFooterInline.3 = TEXT
	jsFooterInline.3.value (
	
	new LazyLoad({
		elements_selector: ".lazy",
		threshold: {$bootstrap.image.lazyLoadThreshold}
	});
	
	
	)
	jsFooterInline.3.if.isTrue = {$bootstrap.extconf.lazyLoad}

	jsFooterInline.4 = TEXT
	jsFooterInline.4.value (

	hljs.initHighlightingOnLoad();


	)
	jsFooterInline.4.if.isTrue = {$bootstrap.extconf.codesnippet}

	jsFooterInline.5 < temp.jsFooterInline
	jsFooterInline.5.wrap = (function($){"use strict";|})(jQuery);

}

temp.jsFooterInline >


