#-------------------------------------------------------------------------------
#	Plugin Constants
#-------------------------------------------------------------------------------

plugin.tx_t3sbootstrap {
	view {
		# cat=plugin.tx_t3sbootstrap/file; type=string; label=Path to template root (FE)
		templateRootPath = EXT:t3sbootstrap/Resources/Private/Templates/
		# cat=plugin.tx_t3sbootstrap/file; type=string; label=Path to template partials (FE)
		partialRootPath = EXT:t3sbootstrap/Resources/Private/Partials/
		# cat=plugin.tx_t3sbootstrap/file; type=string; label=Path to template layouts (FE)
		layoutRootPath = EXT:t3sbootstrap/Resources/Private/Layouts/
	}
}

#-------------------------------------------------------------------------------
#	Constants of t3sbootstrap
#-------------------------------------------------------------------------------

# customcategory=bootstrap-config=* T3SB::Config
# customsubcategory=a-config=Main T3SB Config
# customsubcategory=b-config=Main TYPO3 Config
# customsubcategory=c-config=Content Slide
# customsubcategory=d-config=Extra Class & Padding
# customsubcategory=e-config=Other Config
bootstrap.config {
	# cat=bootstrap-config/a-config/10; type=boolean; label=Data for "T3SB Config" on subpages: if disable from rootpage	 or from rootline if enabled (slide).
	rootline = 1
	# cat=bootstrap-config/a-config/20; type=boolean; label=Content Only On Rootpage: disable navbar, jumbotron, breadcrumb and footer on rootpage if enabled.
	contentOnlyOnRootpage = 0

	# cat=bootstrap-config/b-config/10; type=boolean; label=Compress: compress and concatenate JS and CSS.
	compress = 1
	# cat=bootstrap-config/b-config/20; type=boolean; label=Disable Prefix Comment:
	disablePrefixComment = 1
	# cat=bootstrap-config/b-config/30; type=small; label=Robot Meta Name: if "Metatags & Browsertitle" is enabled in the EM config.
	robots = index, follow
	# cat=bootstrap-config/b-config/40; type=small; label=Revisit-after Meta Name: if "Metatags & Browsertitle" is enabled in the EM config.
	revisitAfter = 7 days
	# cat=bootstrap-config/b-config/50; type=boolean; label=RealUrl: config.tx_realurl_enable = 1
	realurl = 0
	# cat=bootstrap-config/b-config/55; type=boolean; label=absRefPrefix: currently there is a bug on shortcut pages
	absRefPrefix = 0
	# cat=bootstrap-config/b-config/60; type=small; label=baseURL: set this to the value that is expected to be the URL and append a "/" to the end of the string (if absRefPrefix is disabled).
	baseURL = 
	pageTitle {
		# cat=bootstrap-config/b-config/70; type=string; label=Page Title Prefix: e.g.: Company - (if "Metatags & Browsertitle" is enabled in the EM config.)
		prefix =
		# cat=bootstrap-config/b-config/80; type=string; label=Page Title Suffix: (if "Metatags & Browsertitle" is enabled in the EM config.)
		suffix =
	}

	# cat=bootstrap-config/c-config/010; type=boolean; label=Left Aside Slide: content slide for colPos=1 if enabled
	slideLeftAside = 0
	# cat=bootstrap-config/c-config/015; type=boolean; label=Right Aside Slide: content slide for colPos=2 if enabled
	slideRightAside = 0

	# cat=bootstrap-config/d-config/010; type=small; label=Page Content Extra-Class: e.g. bg-danger or any other classes
	pageContentExtraClass = 
	# cat=bootstrap-config/d-config/020; type=small; label=Body Extra-Class: e.g. bg-warning or any other classes
	bodyExtraClass = 
	# cat=bootstrap-config/d-config/030; type=options[none=0, pt-1=pt-1, pt-2=pt-2, pt-3=pt-3, pt-4=pt-4, pt-5=pt-5]; label=Global top padding: for colPos=0,1 & 2
	globalPaddingTop = pt-5
	# cat=bootstrap-config/d-config/040; type=int+; label=Footer Extra Padding: if "footer-sticky" is activated in the BE Modul, the padding-bottom for the body is given by JS. If you like an extra space between the footer and the content, you can do it here (in px).
	stickyFooterExtraPadding = 0

	# cat=bootstrap-config/e-config/010; type=boolean; label=Last Modified Content Element: display the date of the last modified content on current page in the footer.
	lastModifiedContentElement = 0
	# cat=bootstrap-config/e-config/020; type=small; label=Date Format: the date format to use in ext:t3sbootstrap.
	dateFormat = d.m.Y
	# cat=bootstrap-config/e-config/030; type=small; label=Subheader Color: Contextual text classes e.g. secondary, danger etc.
	subheaderColor = secondary

}

# customcategory=bootstrap-image=* T3SB::Image settings
# customsubcategory=a-image=Default Image Size
# customsubcategory=b-image=Additional image sizes (srcset) that should be generated for each content image.
# customsubcategory=c-image=Lazyloading Threshold
# customsubcategory=d-image=Picturefill
bootstrap.image {
	# cat=bootstrap-image/a-image/10; type=int+; label=Fallback image size in ColPos=0 (in px): only if BE-layout != OneCol && !imgWidth
	default.width.big = 825
	# cat=bootstrap-image/a-image/20; type=int+; label=Fallback image size in ColPos=1 && ColPos=2 (in px): only if BE-layout != OneCol && !imgWidth
	default.width.small = 385
	# cat=bootstrap-image/b-image/10; type=small; label=Additional Image Sizes for Desktop min-width 1200px: comma-separated list of either image widths specified in pixels or pixel density descriptors, e. g. "2x".
	srcsetDesktop = 385, 576, 768, 992, 1200
	# cat=bootstrap-image/b-image/20; type=small; label=Additional Image Sizes for Tablet min-width 576px: comma-separated list of either image widths specified in pixels or pixel density descriptors, e. g. "2x".
	srcsetTablet = 385, 576, 768, 992, 1200
	# cat=bootstrap-image/b-image/30; type=small; label=Additional Image Sizes for Mobile max-width 575px: comma-separated list of either image widths specified in pixels or pixel density descriptors, e. g. "2x".
	srcsetMobile = 60, 100, 200, 385, 575
	# cat=bootstrap-image/c-image/010; type=int+; label=Threshold for Lazy load: if "lazyLoad" is activated in the EM config, the distance out of the viewport, expressed in pixel, before which to start loading the images.
	lazyLoadThreshold = 0
	# cat=bootstrap-image/d-image/40; type=boolean; label=A responsive image polyfill: Picturefill enables support for the picture element and associated features in browsers that do not yet support them.
    picturefill = 0
}

# customcategory=bootstrap-extensions=* T3SB::Extensions
# customsubcategory=a-ext=EXT:form
bootstrap.ext {
	# cat=bootstrap-extensions/a-ext/10; type=boolean; label=Ajax Form in Modal: if "Ajax-Form" is available, enable this to open the form in a modal.
	form.modal = 0
}

bootstrap.navbar {
	image.defaultPath = /typo3conf/ext/t3sbootstrap/Resources/Public/Images/bootstrap-solid.svg
	image.width = 30
	image.height = 30

	# default breakpoints - same like Bootstrap (used as condition for inlineJS e.g. navbar hover)
	breakpoint {
		sm = 576
		md = 768
		lg = 992
		xl = 1200
	}
	# type=boolean; Enable extra row(s) in the navbar - (fileadmin)/Resources/Partials/Page/NavbarExtraRow.html
	extraRow = 0
}

# in px (preset)
styles.content.textmedia.maxW = 1140
styles.content.textmedia.maxWInText = 570

#disable some not used constants
styles.content.textmedia.columnSpacing >
styles.content.textmedia.rowSpacing >
styles.content.textmedia.textMargin >
styles.content.textmedia.borderColor >
styles.content.textmedia.borderWidth >
styles.content.textmedia.borderPadding >


# T3SB Config override
bootstrap.config {
	company =
	page_title =
	page_titlealign =
	page_titlecontainer =
	page_titleclass =
	meta_enable =
	meta_value =
	meta_container =
	meta_class =
	meta_text =
	navbar_enable =
	navbar_entrylevel =
	navbar_levels =
	navbar_excludeuiduist =
	navbar_includespacer =
	navbar_justify =
	navbar_sectionmenu =
	navbar_megamenu =
	navbar_hover =
	navbar_clickableparent =
	navbar_brand =
	navbar_image =
	navbar_color =
	navbar_background =
	navbar_container =
	navbar_placement =
	navbar_alignment =
	navbar_class =
	navbar_toggler =
	navbar_breakpoint =
	navbar_offcanvas =
	navbar_height =
	navbar_searchbox =
	navbar_lang_uid =
	navbar_lang_hreflang =
	navbar_lang_title =
	navbar_shrinkcolorschemes =
	navbar_shrinkcolor =
	jumbotron_enable =
	jumbotron_bgimage =
	jumbotron_fluid =
	jumbotron_slide =
	jumbotron_position =
	jumbotron_container =
	jumbotron_containerposition =
	jumbotron_class =
	breadcrumb_enable =
	breadcrumb_notonrootpage =
	breadcrumb_corner =
	breadcrumb_bottom =
	breadcrumb_position =
	breadcrumb_container =
	breadcrumb_containerposition =
	breadcrumb_faicon =
	breadcrumb_class =
	sidebar_enable =
	sidebar_rightenable =
	sidebar_entrylevel = 
	sidebar_levels =
	sidebar_excludeuiduist =
	sidebar_includespacer =
	footer_enable =
	footer_fluid =
	footer_slide =
	footer_sticky =
	footer_container =
	footer_containerposition =
	footer_class =
	footer_pid =
	expandedcontent_enabletop =
	expandedcontent_slidetop =
	expandedcontent_containerpositiontop =
	expandedcontent_containertop =
	expandedcontent_classtop =
	expandedcontent_enablebottom =
	expandedcontent_slidebottom =
	expandedcontent_containerpositionbottom =
	expandedcontent_containerbottom =
	expandedcontent_classbottom =
}
